TableMetrics.Sampler (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.metrics

## Enum TableMetrics.Sampler

- java.lang.Object
- - java.lang.Enum<TableMetrics.Sampler>
  - - org.apache.cassandra.metrics.TableMetrics.Sampler

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableMetrics.Sampler>
  Enclosing class:
    TableMetrics

      public static enum TableMetrics.Sampler
      extends java.lang.Enum<TableMetrics.Sampler>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READS`
    `WRITES`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableMetrics.Sampler` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableMetrics.Sampler[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READS

          public static final TableMetrics.Sampler READS

    - #### WRITES

          public static final TableMetrics.Sampler WRITES

  - ### Method Detail

    - #### values

          public static TableMetrics.Sampler[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableMetrics.Sampler c : TableMetrics.Sampler.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableMetrics.Sampler valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation